####################################
### This code was automatically  ###
###        generated             ###
###    on 01.01.2020 at 21:55    ###
####################################

#################################
###########  Import   ###########
#################################
import numpy as np

import synumses.one_dimension.parameters as parameters
from   synumses.one_dimension.functions import ohm_potential


#################################
########### Bernoulli ###########
#################################
def bernoulli(x):
	 if (x <  parameters.bernoulli_limit ):
	 	 return 3.30687830687831e-5*x**6 - 0.00138888888888889*x**4 + 0.0833333333333333*x**2 - 0.5*x + 1.0
	 else:
	 	 return x/(np.exp(x) - 1)


############################################
########### hole_current_density ###########
############################################
def hole_current_density():

	 j_p = np.zeros(parameters.n)

	 for i in range(0,parameters.n-1):
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-Psi_k + Psi_l)**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(Psi_k - Psi_l)**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Eg_k, parameters.Eg[i+0]), (Eg_l, parameters.Eg[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(-1.0*parameters.Chi[i+0] - 1.0*parameters.Chi[i+1] - 1.0*parameters.Eg[i+0] - 1.0*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-Psi_k + Psi_l)**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Eg_k, parameters.Eg[i+0]), (Eg_l, parameters.Eg[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))*np.exp(parameters.q*(-1.0*parameters.Chi[i+0] - 1.0*parameters.Chi[i+1] - 1.0*parameters.Eg[i+0] - 1.0*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(Psi_k - Psi_l)**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Eg_k, parameters.Eg[i+0]), (Eg_l, parameters.Eg[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(-1.0*parameters.Chi[i+0] - 1.0*parameters.Chi[i+1] - 1.0*parameters.Eg[i+0] - 1.0*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Chi_k - 0.5*Chi_l - 0.5*Eg_k - 0.5*Eg_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Eg_k, parameters.Eg[i+0]), (Eg_l, parameters.Eg[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))*np.exp(parameters.q*(-1.0*parameters.Chi[i+0] - 1.0*parameters.Chi[i+1] - 1.0*parameters.Eg[i+0] - 1.0*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx

	 i = parameters.n-1
	 j_p[i] =  j_p[i-1]

	 return j_p


################################################
########### electron_current_density ###########
################################################
def electron_current_density():

	 j_n = np.zeros(parameters.n)

	 for i in range(0,parameters.n-1):
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-Psi_k + Psi_l)**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(Psi_k - Psi_l)**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-Psi_k + Psi_l)**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(Psi_k - Psi_l)**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Chi_k + 0.5*Chi_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Chi_k, parameters.Chi[i+0]), (Chi_l, parameters.Chi[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx

	 i = parameters.n-1
	 j_n[i] =  j_n[i-1]

	 return j_n


################################
########### update_b ###########
################################
def update_b(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :
	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (parameters.Epsilon[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - 2.0*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q*(parameters.Nv[i+0] + (parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 elif(i==parameters.n-1):
	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (parameters.Epsilon[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - 2.0*parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q*(parameters.Nv[i+0] + (parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(-parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 else:
	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (parameters.Epsilon[i]*(-2.0*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q*(parameters.Nv[i+0] + (parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = (parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.dx**2*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*(-np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - parameters.generation[i]*np.exp(parameters.q*(parameters.Chi[i+0] + 2*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(parameters.q*(-parameters.Chi[i+0] - 2*parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx

	 return None



#################################
###########  Jacobi  ###########
#################################
def jacobian(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :

	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################

	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+0,3*(i-1)+0]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = (2.0*parameters.Epsilon[i]*parameters.T*parameters.kB*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q**2*(parameters.Nc[i+0]*np.exp(parameters.q*(2*parameters.Chi[i+0] + parameters.Eg[i+0] + 2*parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 ###parameters.A[3*i+0,3*(i-1)+1]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+0,3*(i-1)+2]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+1,3*(i-1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*((np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))) - (np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*((np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1])/(parameters.T*parameters.kB))))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 ###parameters.A[3*i+1,3*(i-1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 ###parameters.A[3*i+1,3*(i-1)+2]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+2,3*(i-1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*((np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*((np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - (np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*((np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua + 0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1])/(parameters.T*parameters.kB))))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 ###parameters.A[3*i+2,3*(i-1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+2,3*(i-1)+2]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 elif(i==parameters.n-1):

	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################

	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = (2.0*parameters.Epsilon[i]*parameters.T*parameters.kB*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q**2*(parameters.Nc[i+0]*np.exp(parameters.q*(2*parameters.Chi[i+0] + parameters.Eg[i+0] + 2*parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+0]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+1]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+2]  = ... 

	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) + parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2 + parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2 + parameters.T*parameters.kB*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2 + parameters.T**5*parameters.kB**5*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(-parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) + (parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) + parameters.T**4*parameters.kB**4*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) + parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 ###parameters.A[3*i+1,3*(i+1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(1.0*parameters.Chi[i+0] + 1.0*parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 ###parameters.A[3*i+1,3*(i+1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+1,3*(i+1)+2]  = ... 

	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2 + parameters.T*parameters.kB*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2 + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(parameters.T*parameters.kB*((0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + (0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2 + parameters.T**5*parameters.kB**5*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(-parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + (parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 + 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - (np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(-parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB))) + (parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T**4*parameters.kB**4*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3 - 0.000198412698412698*parameters.q**5*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**5)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB))) + parameters.T**4*parameters.kB**4*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub + 1.0*parameters.Chi[i+0])/(parameters.T*parameters.kB)) - parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 ###parameters.A[3*i+2,3*(i+1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+2,3*(i+1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4 + 3.30687830687831e-5*parameters.q**6*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**6)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Chi[i+1], parameters.Chi[i+0]), (parameters.Eg[i+1], parameters.Eg[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = parameters.Nc[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(1.0*parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 ###parameters.A[3*i+2,3*(i+1)+2]  = ... 
	 	 else:

	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################

	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = (2.0*parameters.Epsilon[i]*parameters.T*parameters.kB*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q**2*(parameters.Nc[i+0]*np.exp(parameters.q*(2*parameters.Chi[i+0] + parameters.Eg[i+0] + 2*parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i-1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) - parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*((np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*((np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) - (-parameters.Nv[i+0]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) - (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.mu_p[i]*parameters.q*((np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(-parameters.Nv[i+1]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nv[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**5)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.mu_p[i]*parameters.q*(parameters.Nv[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*((1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_p[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.mu_p[i]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = parameters.Nv[i+0]*parameters.q**2*(-parameters.Cau[i]*parameters.Nc[i+0]*parameters.dx**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_p[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(-parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + 0.5*parameters.Eg[i+0] + 0.5*parameters.Eg[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i+1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Chi[i+0] - 0.5*parameters.Chi[i-1] - 0.5*parameters.Eg[i+0] - 0.5*parameters.Eg[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i-1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*((np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*((np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) + (np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) - (-parameters.Nc[i+0]*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**4*parameters.kB**4*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i-1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*(parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(-parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**6*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.mu_n[i]*parameters.q*((np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))) + (np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+1]*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.T*parameters.kB*(parameters.Nc[i+0]*(0.5*parameters.T**5*parameters.kB**5 - 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0]) + 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 - 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**5*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**5*parameters.dx*parameters.kB**5*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T**6*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(0.5*parameters.T**5*parameters.kB**5 + 0.166666666666667*parameters.T**4*parameters.kB**4*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) - 0.00555555555555556*parameters.T**2*parameters.kB**2*parameters.q**3*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3 + 0.000198412698412698*parameters.q**5*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**5)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = -parameters.mu_n[i]*parameters.q*(parameters.Nc[i+0]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.T*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = -parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*((1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + (1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q**2*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q**2*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q**2*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.T**5*parameters.dx**2*parameters.kB**5*parameters.q*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.T**5*parameters.kB**5*parameters.mu_n[i]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(1.0*parameters.T**6*parameters.kB**6 - 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T**6*parameters.dx*parameters.kB**6*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.q**2*(parameters.Cau[i]*parameters.Nv[i+0]*parameters.dx**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.mu_n[i]*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0*parameters.T**6*parameters.kB**6 + 0.5*parameters.T**5*parameters.kB**5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0]) + 0.0833333333333333*parameters.T**4*parameters.kB**4*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2 - 0.00138888888888889*parameters.T**2*parameters.kB**2*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4 + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**6)*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**6*parameters.dx*parameters.kB**6)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) <= parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4) + 3.30687830687831e-5*parameters.q**6*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**6/(parameters.T**6*parameters.kB**6))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) >  parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(-parameters.Chi[i+0] - parameters.Eg[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.Nv[i+0]*exp(-parameters.Eg[i+0]*parameters.q/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f5822193ea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = -parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Chi[i+0] + 0.5*parameters.Chi[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(-parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))

	 return 


################################
########### first_update_b ###########
################################
def first_update_b(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :
	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (parameters.Epsilon[i]*((ohm_potential(parameters.C[0], parameters.Chi[0], parameters.Eg[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - 2*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q*(parameters.Nv[i+0] + (parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 parameters.b[3*i+1] = -Ua + parameters.u[(3*i+0)+1]
	 	 	 parameters.b[3*i+2] = -Ua + parameters.u[(3*i+0)+2]
	 	 elif(i==parameters.n-1):
	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (parameters.Epsilon[i]*((ohm_potential(parameters.C[parameters.n-1], parameters.Chi[parameters.n-1], parameters.Eg[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - 2*parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q*(parameters.Nv[i+0] + (parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 parameters.b[3*i+1] = parameters.u[(3*i+0)+1] - parameters.u[3*(i-1)+1]
	 	 	 parameters.b[3*i+2] = parameters.u[(3*i+0)+2] - parameters.u[3*(i-1)+2]
	 	 else:
	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (parameters.Epsilon[i]*(-2*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q*(parameters.Nv[i+0] + (parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)))*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 parameters.b[3*i+1] = parameters.u[(3*i+0)+1] - parameters.u[3*(i-1)+1]
	 	 	 parameters.b[3*i+2] = parameters.u[(3*i+0)+2] - parameters.u[3*(i-1)+2]

	 return None



######################################
###########  First Jacobi  ###########
######################################
def first_jacobian(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :

	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################
	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+0,3*(i-1)+0]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = (2*parameters.Epsilon[i]*parameters.T*parameters.kB*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q**2*(parameters.Nc[i+0]*np.exp(parameters.q*(2*parameters.Chi[i+0] + parameters.Eg[i+0] + 2*parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 ###parameters.A[3*i+0,3*(i-1)+1]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+0,3*(i-1)+2]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+1,3*(i-1)+0]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = 0
	 	 	 ###parameters.A[3*i+1,3*(i-1)+1]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -1
	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+1,3*(i-1)+2]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+2,3*(i-1)+0]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = 0
	 	 	 ###parameters.A[3*i+2,3*(i-1)+1]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+2,3*(i-1)+2]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -1
	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = 0
	 	 elif(i==parameters.n-1):

	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################
	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = (2*parameters.Epsilon[i]*parameters.T*parameters.kB*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q**2*(parameters.Nc[i+0]*np.exp(parameters.q*(2*parameters.Chi[i+0] + parameters.Eg[i+0] + 2*parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+0]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+1]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+2]  = ...
	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = 0
	 	 	 ###parameters.A[3*i+1,3*(i+1)+0]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = 1
	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -1
	 	 	 ###parameters.A[3*i+1,3*(i+1)+1]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = 0
	 	 	 ###parameters.A[3*i+1,3*(i+1)+2]  = ...
	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = 0
	 	 	 ###parameters.A[3*i+2,3*(i+1)+0]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = 0
	 	 	 ###parameters.A[3*i+2,3*(i+1)+1]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = 1
	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -1
	 	 	 ###parameters.A[3*i+2,3*(i+1)+2]  = ...
	 	 else:

	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################
	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = (2*parameters.Epsilon[i]*parameters.T*parameters.kB*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.dx**2*parameters.q**2*(parameters.Nc[i+0]*np.exp(parameters.q*(2*parameters.Chi[i+0] + parameters.Eg[i+0] + 2*parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]))*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(-parameters.q*(parameters.Chi[i+0] + parameters.Eg[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Chi[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = 1
	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -1
	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = 1
	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -1
	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = 0

	 return 


