####################################
### This code was automatically  ###
###        generated             ###
###    on 11.12.2019 at 18:36    ###
####################################

#################################
###########  Import   ###########
#################################
import numpy as np

import synumses.one_dimension.parameters as parameters
from   synumses.one_dimension.functions import ohm_potential


#################################
########### Bernoulli ###########
#################################
def bernoulli(x):
	 if (x <  parameters.bernoulli_limit ):
	 	 return -0.00138888888888889*x**4 + 0.0833333333333333*x**2 - 0.5*x + 1.0
	 else:
	 	 return x/(np.exp(x) - 1)


############################################
########### hole_current_density ###########
############################################
def hole_current_density():

	 j_p = np.zeros(parameters.n)

	 for i in range(0,parameters.n-1):
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Ev_k, parameters.Ev[i+0]), (Ev_l, parameters.Ev[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Ev_k, parameters.Ev[i+0]), (Ev_l, parameters.Ev[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Ev_k, parameters.Ev[i+0]), (Ev_l, parameters.Ev[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(Nv_k*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_k - Psi_k)/(parameters.T*parameters.kB)) - Nv_l*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*Ev_k + 0.5*Ev_l + Phi_p_l - Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_p_k, parameters.u[(3*i+0)+1]), (Phi_p_l, parameters.u[3*(i+1)+1]), (Ev_k, parameters.Ev[i+0]), (Ev_l, parameters.Ev[i+1]), (Nv_k, parameters.Nv[i+0]), (Nv_l, parameters.Nv[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_p[i] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx

	 i = parameters.n-1
	 j_p[i] =  j_p[i-1]

	 return j_p


################################################
########### electron_current_density ###########
################################################
def electron_current_density():

	 j_n = np.zeros(parameters.n)

	 for i in range(0,parameters.n-1):
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Ec_k, parameters.Ec[i+0]), (Ec_l, parameters.Ec[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-Psi_k + Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-Psi_k + Psi_l)**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Ec_k, parameters.Ec[i+0]), (Ec_l, parameters.Ec[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(Psi_k - Psi_l)**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(Psi_k - Psi_l)**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Ec_k, parameters.Ec[i+0]), (Ec_l, parameters.Ec[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx
	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(Nc_k*bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_k + Psi_k)/(parameters.T*parameters.kB)) - Nc_l*bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*Ec_k - 0.5*Ec_l - Phi_n_l + Psi_l)/(parameters.T*parameters.kB)))/parameters.dx
### substitutes: [(bernoulli(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)), parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(-Psi_k + Psi_l)/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)), parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB*(exp(parameters.q*(Psi_k - Psi_l)/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((Psi_k, parameters.u[(3*i+0)+0]), (Psi_l, parameters.u[3*(i+1)+0]), (Phi_n_k, parameters.u[(3*i+0)+2]), (Phi_n_l, parameters.u[3*(i+1)+2]), (Ec_k, parameters.Ec[i+0]), (Ec_l, parameters.Ec[i+1]), (Nc_k, parameters.Nc[i+0]), (Nc_l, parameters.Nc[i+1]), (exp, np.exp), (Abs, np.abs))
###
	 	 	 j_n[i] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx

	 i = parameters.n-1
	 j_n[i] =  j_n[i-1]

	 return j_n


################################
########### update_b ###########
################################
def update_b(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :
	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = ( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - 2*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0] + parameters.dx**2*parameters.q*(parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.Epsilon[i]
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 elif(i==parameters.n-1):
	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = ( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - 2*parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0] + parameters.dx**2*parameters.q*(parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.Epsilon[i]
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 else:
	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = -2*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0] + parameters.u[3*(i-1)+0] + parameters.dx**2*parameters.q*(parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.Epsilon[i]
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+1] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: None
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 parameters.b[3*i+2] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])

	 return None



#################################
###########  Jacobi  ###########
#################################
def jacobian(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :

	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################

	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+0,3*(i-1)+0]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = 2 - parameters.dx**2*parameters.q*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 ###parameters.A[3*i+0,3*(i-1)+1]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+0,3*(i-1)+2]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+1,3*(i-1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + Ua + 0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 ###parameters.A[3*i+1,3*(i-1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 ###parameters.A[3*i+1,3*(i-1)+2]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+2,3*(i-1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - Ua - 0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 ###parameters.A[3*i+2,3*(i-1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+2,3*(i-1)+2]  = ... 
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((parameters.u[3*(i-1)+0], '( ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua)'), (parameters.u[3*(i-1)+1], 'Ua'), (parameters.u[3*(i-1)+2], 'Ua'), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 elif(i==parameters.n-1):

	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################

	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = 2 - parameters.dx**2*parameters.q*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 ###parameters.A[3*i+0,3*(i+1)+0]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+1]  = ... 
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+2]  = ... 

	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + Ub + 1.0*parameters.Ev[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 ###parameters.A[3*i+1,3*(i+1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(1.0*parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 ###parameters.A[3*i+1,3*(i+1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+1,3*(i+1)+2]  = ... 

	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + 2*parameters.u[(3*i+0)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+0]*parameters.q**2*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - Ub - 1.0*parameters.Ec[i+0])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 ###parameters.A[3*i+2,3*(i+1)+0]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+2,3*(i+1)+1]  = ... 
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((parameters.u[3*(i+1)+0], '( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub)'), (parameters.u[3*(i+1)+1], 'Ub'), (parameters.u[3*(i+1)+2], 'Ub'), (parameters.Ev[i+1], parameters.Ev[i+0]), (parameters.Nv[i+1], parameters.Nv[i+0]), (parameters.Ec[i+1], parameters.Ec[i+0]), (parameters.Nc[i+1], parameters.Nc[i+0]), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])*np.exp(parameters.q*(-1.0*parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-( ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) + parameters.u[(3*i+0)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 ###parameters.A[3*i+2,3*(i+1)+2]  = ... 
	 	 else:

	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################

	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = 2 - parameters.dx**2*parameters.q*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i-1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i-1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nv[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nv[i+1]*parameters.q*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+1]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = parameters.Nv[i-1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nv[i+0]*parameters.mu_p[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = parameters.Nv[i+1]*parameters.mu_p[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: -parameters.T*parameters.kB*parameters.mu_p[i]*(parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) - parameters.Nv[i+1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i+1] - parameters.u[3*(i+1)+0] + parameters.u[3*(i+1)+1])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_p[i]*(-parameters.Nv[i+0]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)) + parameters.Nv[i-1]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(0.5*parameters.Ev[i+0] + 0.5*parameters.Ev[i-1] - parameters.u[3*(i-1)+0] + parameters.u[3*(i-1)+1])/(parameters.T*parameters.kB)))/parameters.dx - parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0

	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i-1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = -parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(2*parameters.u[(3*i+0)+0] - 2*parameters.u[3*(i-1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+0]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx + parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) + parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i-1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i-1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*(0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) + 0.00555555555555556*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*(-0.5*parameters.q/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-2*parameters.u[(3*i+0)+0] + 2*parameters.u[3*(i+1)+0])/(parameters.T**2*parameters.kB**2) - 0.00555555555555556*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**3/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+0]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+0]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2) - parameters.Nc[i+1]*parameters.q*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) + parameters.Nc[i+1]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T**2*parameters.kB**2*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)**2))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB)
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+1]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i-1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = parameters.Nc[i-1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/parameters.dx - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[(3*i+0)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -parameters.Cau[i]*parameters.Nc[i+0]*parameters.Nv[i+0]*parameters.dx*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1)) - parameters.Nc[i+0]*parameters.mu_n[i]*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4)), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q*(1.0 - 0.5*parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])**4/(parameters.T**4*parameters.kB**4))*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/parameters.dx
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))<=parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), 1.0 - 0.5*parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB) + 0.0833333333333333*parameters.q**2*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**2/(parameters.T**2*parameters.kB**2) - 0.00138888888888889*parameters.q**4*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])**4/(parameters.T**4*parameters.kB**4))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))
	 	 	 	 if (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit) and (np.abs(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))> parameters.bernoulli_limit):
###
### function: parameters.T*parameters.kB*parameters.mu_n[i]*(parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) - parameters.Nc[i+1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB)))/parameters.dx - parameters.T*parameters.kB*parameters.mu_n[i]*(-parameters.Nc[i+0]*bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nc[i-1]*bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB))*exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i-1] + parameters.u[3*(i-1)+0] - parameters.u[3*(i-1)+2])/(parameters.T*parameters.kB)))/parameters.dx + parameters.dx*parameters.q*(parameters.Cau[i]*(-parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.Ev[i+0])/(parameters.T*parameters.kB)) + parameters.Nc[i+0]*parameters.Nv[i+0]*exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))*exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))) - parameters.generation[i])
### substitutes: [(bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)), parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))), (bernoulli(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)), parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB*(exp(parameters.q*(parameters.u[(3*i+0)+0] - parameters.u[3*(i-1)+0])/(parameters.T*parameters.kB)) - 1)))]
#### partial_derivative: parameters.u[3*(i+1)+2]
### sub_args: ((1, 1), (exp, np.exp), (<function sqrt at 0x7f2f9c57bea0>, np.sqrt), (Abs, np.abs))
###
	 	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = parameters.Nc[i+1]*parameters.mu_n[i]*parameters.q**2*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])*np.exp(parameters.q*(-0.5*parameters.Ec[i+0] - 0.5*parameters.Ec[i+1] + parameters.u[3*(i+1)+0] - parameters.u[3*(i+1)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.dx*parameters.kB*(np.exp(parameters.q*(-parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0])/(parameters.T*parameters.kB)) - 1))

	 return 


################################
########### first_update_b ###########
################################
def first_update_b(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :
	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (ohm_potential(parameters.C[0], parameters.Ec[0], parameters.Ev[0], parameters.Nc[0], parameters.Nv[0]) + Ua) - 2*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0] + parameters.dx**2*parameters.q*(parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.Epsilon[i]
	 	 	 parameters.b[3*i+1] = -Ua + parameters.u[(3*i+0)+1]
	 	 	 parameters.b[3*i+2] = -Ua + parameters.u[(3*i+0)+2]
	 	 elif(i==parameters.n-1):
	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = (ohm_potential(parameters.C[parameters.n-1], parameters.Ec[parameters.n-1], parameters.Ev[parameters.n-1], parameters.Nc[parameters.n-1], parameters.Nv[parameters.n-1]) + Ub) - 2*parameters.u[(3*i+0)+0] + parameters.u[3*(i-1)+0] + parameters.dx**2*parameters.q*(parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.Epsilon[i]
	 	 	 parameters.b[3*i+1] = parameters.u[(3*i+0)+1] - parameters.u[3*(i-1)+1]
	 	 	 parameters.b[3*i+2] = parameters.u[(3*i+0)+2] - parameters.u[3*(i-1)+2]
	 	 else:
	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################
	 	 	 parameters.b[3*i+0] = -2*parameters.u[(3*i+0)+0] + parameters.u[3*(i+1)+0] + parameters.u[3*(i-1)+0] + parameters.dx**2*parameters.q*(parameters.C[i] - parameters.Nc[i+0]*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB)) + parameters.Nv[i+0]*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB)))/parameters.Epsilon[i]
	 	 	 parameters.b[3*i+1] = parameters.u[(3*i+0)+1] - parameters.u[3*(i-1)+1]
	 	 	 parameters.b[3*i+2] = parameters.u[(3*i+0)+2] - parameters.u[3*(i-1)+2]

	 return None



######################################
###########  First Jacobi  ###########
######################################
def first_jacobian(Ua, Ub):

	 for i in range(0, parameters.n):
	 	 if (i==0) :

	 	 	 #################
	 	 	 ###  left ###
	 	 	 #################
	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+0,3*(i-1)+0]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = 2 - parameters.dx**2*parameters.q*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 ###parameters.A[3*i+0,3*(i-1)+1]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+0,3*(i-1)+2]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+1,3*(i-1)+0]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = 0
	 	 	 ###parameters.A[3*i+1,3*(i-1)+1]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -1
	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+1,3*(i-1)+2]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 ###parameters.A[3*i+2,3*(i-1)+0]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = 0
	 	 	 ###parameters.A[3*i+2,3*(i-1)+1]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 ###parameters.A[3*i+2,3*(i-1)+2]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -1
	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = 0
	 	 elif(i==parameters.n-1):

	 	 	 #################
	 	 	 ###  right ###
	 	 	 #################
	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = 2 - parameters.dx**2*parameters.q*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 ###parameters.A[3*i+0,3*(i+1)+0]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+1]  = ...
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 ###parameters.A[3*i+0,3*(i+1)+2]  = ...
	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = 0
	 	 	 ###parameters.A[3*i+1,3*(i+1)+0]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = 1
	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -1
	 	 	 ###parameters.A[3*i+1,3*(i+1)+1]  = ...
	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = 0
	 	 	 ###parameters.A[3*i+1,3*(i+1)+2]  = ...
	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = 0
	 	 	 ###parameters.A[3*i+2,3*(i+1)+0]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = 0
	 	 	 ###parameters.A[3*i+2,3*(i+1)+1]  = ...
	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = 1
	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -1
	 	 	 ###parameters.A[3*i+2,3*(i+1)+2]  = ...
	 	 else:

	 	 	 #################
	 	 	 ###  center ###
	 	 	 #################
	 	 	 #######################
	 	 	 ###  poisson  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+0,3*(i-1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i+0)+0] = 2 - parameters.dx**2*parameters.q*(-parameters.Nc[i+0]*parameters.q*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB) - parameters.Nv[i+0]*parameters.q*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.T*parameters.kB))/parameters.Epsilon[i]
	 	 	 	 parameters.A[3*i+0,3*(i+1)+0] = -1
	 	 	 	 parameters.A[3*i+0,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+1] = -parameters.Nv[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(parameters.Ev[i+0] - parameters.u[(3*i+0)+0] + parameters.u[(3*i+0)+1])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+0,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+0,3*(i+0)+2] = -parameters.Nc[i+0]*parameters.dx**2*parameters.q**2*np.exp(parameters.q*(-parameters.Ec[i+0] + parameters.u[(3*i+0)+0] - parameters.u[(3*i+0)+2])/(parameters.T*parameters.kB))/(parameters.Epsilon[i]*parameters.T*parameters.kB)
	 	 	 	 parameters.A[3*i+0,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_p  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+1,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+0] = 0
	 	 	 	 parameters.A[3*i+1,3*(i-1)+1] = 1
	 	 	 	 parameters.A[3*i+1,3*(i+0)+1] = -1
	 	 	 	 parameters.A[3*i+1,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+1,3*(i-1)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+0)+2] = 0
	 	 	 	 parameters.A[3*i+1,3*(i+1)+2] = 0
	 	 	 #######################
	 	 	 ###  div_j_n  ###
	 	 	 #######################
	 	 	 	 parameters.A[3*i+2,3*(i-1)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+0] = 0
	 	 	 	 parameters.A[3*i+2,3*(i-1)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+0)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i+1)+1] = 0
	 	 	 	 parameters.A[3*i+2,3*(i-1)+2] = 1
	 	 	 	 parameters.A[3*i+2,3*(i+0)+2] = -1
	 	 	 	 parameters.A[3*i+2,3*(i+1)+2] = 0

	 return 


